terraform {
  required_providers {
    sops = {
      source  = "carlpett/sops"
      version = "~> 0.5"
    }
    postgresql = {
      source = "cyrilgdn/postgresql"
    }
  }
}

provider "nomad" {
  address = "http://jaglan-beta-m20.lan:4646"
}

data "sops_file" "secrets" {
  source_file = "secrets/secrets.enc.json"
}

data "nomad_plugin" "smb" {
  plugin_id        = "smb"
  wait_for_healthy = true
}

